> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zeal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Quarter to Date Report

> Start an asynchronous job to generate a Quarter to Date (QTD) report summarizing cumulative payroll totals for a company.



## OpenAPI

````yaml openapi/zeal-api.json post /reports/qtd
openapi: 3.1.0
info:
  title: zeal-api
  version: '1.0'
servers:
  - url: https://api.zeal.com
security:
  - sec0: []
paths:
  /reports/qtd:
    post:
      summary: Create Quarter to Date Report
      description: Create a quarter to date report.
      operationId: quarter-to-date-report
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - companyID
                - quarter
                - media_type
              properties:
                companyID:
                  type: string
                  description: The ID of the company
                employeeID:
                  type: array
                  description: Array of employee IDs to grab QTD data for
                  items:
                    type: string
                quarter:
                  type: string
                  description: >-
                    The quarter to grab QTD data for (options are q1, q2, q3,
                    and q4)
                media_type:
                  type: string
                  description: The media_type of the report, currently only supporting json
                  default: json
            examples:
              Request Example:
                value:
                  companyID: fcc26cc444450ac8a33ry32a3z34462
                  employeeID:
                    - 6266y546eyecc34458aef1
                    - 6556fabfcf2eab26e23331
                  quarter: q1
                  media_type: json
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    success: true
                    data:
                      job_id: e560b4e3-71a5-49cb-aedc-8e8yy3db81a
                      status: pending
                      request_body:
                        companyID: fcc26cc444450ac8a33ry32a3z34462
                        employeeID:
                          - 6266y546eyecc34458aef1
                          - 6556fabfcf2eab26e23331
                        quarter: q1
                        media_type: json
                        has_live_key: true
                        job_type: reports
                        report_format: qtd
                      created_at: '2023-12-07T18:49:28.679Z'
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                    default: true
                  data:
                    type: object
                    properties:
                      job_id:
                        type: string
                        example: e560b4e3-71a5-49cb-aedc-8e8yy3db81a
                      status:
                        type: string
                        example: pending
                      request_body:
                        type: object
                        properties:
                          companyID:
                            type: string
                            example: fcc26cc444450ac8a33ry32a3z34462
                          employeeID:
                            type: array
                            items:
                              type: string
                              example: 6266y546eyecc34458aef1
                          quarter:
                            type: string
                            example: q1
                          media_type:
                            type: string
                            example: json
                          has_live_key:
                            type: boolean
                            example: true
                            default: true
                          job_type:
                            type: string
                            example: reports
                          report_format:
                            type: string
                            example: qtd
                      created_at:
                        type: string
                        example: '2023-12-07T18:49:28.679Z'
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value:
                    success: false
                    errors:
                      - message: Employee or Contractor ID is not formatted correctly
                        code: 72
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                    default: true
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        message:
                          type: string
                          example: Employee or Contractor ID is not formatted correctly
                        code:
                          type: integer
                          example: 72
                          default: 0
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: bearer

````